package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TAlarmNoticeExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TAlarmNoticeExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andRulesNameIsNull() {
            addCriterion("RULES_NAME is null");
            return (Criteria) this;
        }

        public Criteria andRulesNameIsNotNull() {
            addCriterion("RULES_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andRulesNameEqualTo(String value) {
            addCriterion("RULES_NAME =", value, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameNotEqualTo(String value) {
            addCriterion("RULES_NAME <>", value, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameGreaterThan(String value) {
            addCriterion("RULES_NAME >", value, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameGreaterThanOrEqualTo(String value) {
            addCriterion("RULES_NAME >=", value, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameLessThan(String value) {
            addCriterion("RULES_NAME <", value, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameLessThanOrEqualTo(String value) {
            addCriterion("RULES_NAME <=", value, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameLike(String value) {
            addCriterion("RULES_NAME like", value, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameNotLike(String value) {
            addCriterion("RULES_NAME not like", value, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameIn(List<String> values) {
            addCriterion("RULES_NAME in", values, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameNotIn(List<String> values) {
            addCriterion("RULES_NAME not in", values, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameBetween(String value1, String value2) {
            addCriterion("RULES_NAME between", value1, value2, "rulesName");
            return (Criteria) this;
        }

        public Criteria andRulesNameNotBetween(String value1, String value2) {
            addCriterion("RULES_NAME not between", value1, value2, "rulesName");
            return (Criteria) this;
        }

        public Criteria andEmailAddressIsNull() {
            addCriterion("EMAIL_ADDRESS is null");
            return (Criteria) this;
        }

        public Criteria andEmailAddressIsNotNull() {
            addCriterion("EMAIL_ADDRESS is not null");
            return (Criteria) this;
        }

        public Criteria andEmailAddressEqualTo(String value) {
            addCriterion("EMAIL_ADDRESS =", value, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressNotEqualTo(String value) {
            addCriterion("EMAIL_ADDRESS <>", value, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressGreaterThan(String value) {
            addCriterion("EMAIL_ADDRESS >", value, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressGreaterThanOrEqualTo(String value) {
            addCriterion("EMAIL_ADDRESS >=", value, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressLessThan(String value) {
            addCriterion("EMAIL_ADDRESS <", value, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressLessThanOrEqualTo(String value) {
            addCriterion("EMAIL_ADDRESS <=", value, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressLike(String value) {
            addCriterion("EMAIL_ADDRESS like", value, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressNotLike(String value) {
            addCriterion("EMAIL_ADDRESS not like", value, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressIn(List<String> values) {
            addCriterion("EMAIL_ADDRESS in", values, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressNotIn(List<String> values) {
            addCriterion("EMAIL_ADDRESS not in", values, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressBetween(String value1, String value2) {
            addCriterion("EMAIL_ADDRESS between", value1, value2, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andEmailAddressNotBetween(String value1, String value2) {
            addCriterion("EMAIL_ADDRESS not between", value1, value2, "emailAddress");
            return (Criteria) this;
        }

        public Criteria andDosageMinIsNull() {
            addCriterion("DOSAGE_MIN is null");
            return (Criteria) this;
        }

        public Criteria andDosageMinIsNotNull() {
            addCriterion("DOSAGE_MIN is not null");
            return (Criteria) this;
        }

        public Criteria andDosageMinEqualTo(Integer value) {
            addCriterion("DOSAGE_MIN =", value, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMinNotEqualTo(Integer value) {
            addCriterion("DOSAGE_MIN <>", value, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMinGreaterThan(Integer value) {
            addCriterion("DOSAGE_MIN >", value, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMinGreaterThanOrEqualTo(Integer value) {
            addCriterion("DOSAGE_MIN >=", value, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMinLessThan(Integer value) {
            addCriterion("DOSAGE_MIN <", value, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMinLessThanOrEqualTo(Integer value) {
            addCriterion("DOSAGE_MIN <=", value, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMinIn(List<Integer> values) {
            addCriterion("DOSAGE_MIN in", values, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMinNotIn(List<Integer> values) {
            addCriterion("DOSAGE_MIN not in", values, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMinBetween(Integer value1, Integer value2) {
            addCriterion("DOSAGE_MIN between", value1, value2, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMinNotBetween(Integer value1, Integer value2) {
            addCriterion("DOSAGE_MIN not between", value1, value2, "dosageMin");
            return (Criteria) this;
        }

        public Criteria andDosageMaxIsNull() {
            addCriterion("DOSAGE_MAX is null");
            return (Criteria) this;
        }

        public Criteria andDosageMaxIsNotNull() {
            addCriterion("DOSAGE_MAX is not null");
            return (Criteria) this;
        }

        public Criteria andDosageMaxEqualTo(Integer value) {
            addCriterion("DOSAGE_MAX =", value, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andDosageMaxNotEqualTo(Integer value) {
            addCriterion("DOSAGE_MAX <>", value, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andDosageMaxGreaterThan(Integer value) {
            addCriterion("DOSAGE_MAX >", value, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andDosageMaxGreaterThanOrEqualTo(Integer value) {
            addCriterion("DOSAGE_MAX >=", value, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andDosageMaxLessThan(Integer value) {
            addCriterion("DOSAGE_MAX <", value, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andDosageMaxLessThanOrEqualTo(Integer value) {
            addCriterion("DOSAGE_MAX <=", value, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andDosageMaxIn(List<Integer> values) {
            addCriterion("DOSAGE_MAX in", values, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andDosageMaxNotIn(List<Integer> values) {
            addCriterion("DOSAGE_MAX not in", values, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andDosageMaxBetween(Integer value1, Integer value2) {
            addCriterion("DOSAGE_MAX between", value1, value2, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andDosageMaxNotBetween(Integer value1, Integer value2) {
            addCriterion("DOSAGE_MAX not between", value1, value2, "dosageMax");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalIsNull() {
            addCriterion("CALC_INTERVAL is null");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalIsNotNull() {
            addCriterion("CALC_INTERVAL is not null");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalEqualTo(Integer value) {
            addCriterion("CALC_INTERVAL =", value, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalNotEqualTo(Integer value) {
            addCriterion("CALC_INTERVAL <>", value, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalGreaterThan(Integer value) {
            addCriterion("CALC_INTERVAL >", value, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalGreaterThanOrEqualTo(Integer value) {
            addCriterion("CALC_INTERVAL >=", value, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalLessThan(Integer value) {
            addCriterion("CALC_INTERVAL <", value, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalLessThanOrEqualTo(Integer value) {
            addCriterion("CALC_INTERVAL <=", value, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalIn(List<Integer> values) {
            addCriterion("CALC_INTERVAL in", values, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalNotIn(List<Integer> values) {
            addCriterion("CALC_INTERVAL not in", values, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalBetween(Integer value1, Integer value2) {
            addCriterion("CALC_INTERVAL between", value1, value2, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andCalcIntervalNotBetween(Integer value1, Integer value2) {
            addCriterion("CALC_INTERVAL not between", value1, value2, "calcInterval");
            return (Criteria) this;
        }

        public Criteria andRulesTypeIsNull() {
            addCriterion("RULES_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andRulesTypeIsNotNull() {
            addCriterion("RULES_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andRulesTypeEqualTo(Integer value) {
            addCriterion("RULES_TYPE =", value, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRulesTypeNotEqualTo(Integer value) {
            addCriterion("RULES_TYPE <>", value, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRulesTypeGreaterThan(Integer value) {
            addCriterion("RULES_TYPE >", value, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRulesTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("RULES_TYPE >=", value, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRulesTypeLessThan(Integer value) {
            addCriterion("RULES_TYPE <", value, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRulesTypeLessThanOrEqualTo(Integer value) {
            addCriterion("RULES_TYPE <=", value, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRulesTypeIn(List<Integer> values) {
            addCriterion("RULES_TYPE in", values, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRulesTypeNotIn(List<Integer> values) {
            addCriterion("RULES_TYPE not in", values, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRulesTypeBetween(Integer value1, Integer value2) {
            addCriterion("RULES_TYPE between", value1, value2, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRulesTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("RULES_TYPE not between", value1, value2, "rulesType");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNull() {
            addCriterion("REMARKS is null");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNotNull() {
            addCriterion("REMARKS is not null");
            return (Criteria) this;
        }

        public Criteria andRemarksEqualTo(String value) {
            addCriterion("REMARKS =", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotEqualTo(String value) {
            addCriterion("REMARKS <>", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThan(String value) {
            addCriterion("REMARKS >", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThanOrEqualTo(String value) {
            addCriterion("REMARKS >=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThan(String value) {
            addCriterion("REMARKS <", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThanOrEqualTo(String value) {
            addCriterion("REMARKS <=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLike(String value) {
            addCriterion("REMARKS like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotLike(String value) {
            addCriterion("REMARKS not like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksIn(List<String> values) {
            addCriterion("REMARKS in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotIn(List<String> values) {
            addCriterion("REMARKS not in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksBetween(String value1, String value2) {
            addCriterion("REMARKS between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotBetween(String value1, String value2) {
            addCriterion("REMARKS not between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNull() {
            addCriterion("USE_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andUseFlagIsNotNull() {
            addCriterion("USE_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andUseFlagEqualTo(Integer value) {
            addCriterion("USE_FLAG =", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotEqualTo(Integer value) {
            addCriterion("USE_FLAG <>", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThan(Integer value) {
            addCriterion("USE_FLAG >", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("USE_FLAG >=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThan(Integer value) {
            addCriterion("USE_FLAG <", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagLessThanOrEqualTo(Integer value) {
            addCriterion("USE_FLAG <=", value, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagIn(List<Integer> values) {
            addCriterion("USE_FLAG in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotIn(List<Integer> values) {
            addCriterion("USE_FLAG not in", values, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagBetween(Integer value1, Integer value2) {
            addCriterion("USE_FLAG between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andUseFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("USE_FLAG not between", value1, value2, "useFlag");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNull() {
            addCriterion("UNIT_CODE is null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIsNotNull() {
            addCriterion("UNIT_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andUnitCodeEqualTo(String value) {
            addCriterion("UNIT_CODE =", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotEqualTo(String value) {
            addCriterion("UNIT_CODE <>", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThan(String value) {
            addCriterion("UNIT_CODE >", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeGreaterThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE >=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThan(String value) {
            addCriterion("UNIT_CODE <", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLessThanOrEqualTo(String value) {
            addCriterion("UNIT_CODE <=", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeLike(String value) {
            addCriterion("UNIT_CODE like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotLike(String value) {
            addCriterion("UNIT_CODE not like", value, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeIn(List<String> values) {
            addCriterion("UNIT_CODE in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotIn(List<String> values) {
            addCriterion("UNIT_CODE not in", values, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeBetween(String value1, String value2) {
            addCriterion("UNIT_CODE between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andUnitCodeNotBetween(String value1, String value2) {
            addCriterion("UNIT_CODE not between", value1, value2, "unitCode");
            return (Criteria) this;
        }

        public Criteria andExtendFieldIsNull() {
            addCriterion("EXTEND_FIELD is null");
            return (Criteria) this;
        }

        public Criteria andExtendFieldIsNotNull() {
            addCriterion("EXTEND_FIELD is not null");
            return (Criteria) this;
        }

        public Criteria andExtendFieldEqualTo(String value) {
            addCriterion("EXTEND_FIELD =", value, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldNotEqualTo(String value) {
            addCriterion("EXTEND_FIELD <>", value, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldGreaterThan(String value) {
            addCriterion("EXTEND_FIELD >", value, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldGreaterThanOrEqualTo(String value) {
            addCriterion("EXTEND_FIELD >=", value, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldLessThan(String value) {
            addCriterion("EXTEND_FIELD <", value, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldLessThanOrEqualTo(String value) {
            addCriterion("EXTEND_FIELD <=", value, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldLike(String value) {
            addCriterion("EXTEND_FIELD like", value, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldNotLike(String value) {
            addCriterion("EXTEND_FIELD not like", value, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldIn(List<String> values) {
            addCriterion("EXTEND_FIELD in", values, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldNotIn(List<String> values) {
            addCriterion("EXTEND_FIELD not in", values, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldBetween(String value1, String value2) {
            addCriterion("EXTEND_FIELD between", value1, value2, "extendField");
            return (Criteria) this;
        }

        public Criteria andExtendFieldNotBetween(String value1, String value2) {
            addCriterion("EXTEND_FIELD not between", value1, value2, "extendField");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}